<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_490fedd0c33685bd3a92a23dfbdbe3" . "8c" => base64_decode("JyBDb25maWdWYWx1ZSB0byBzdHJpbmc" . "="), "_5a13027a56f" . "f426a18806ba" . "f1e53ce74" => base64_decode("Q29uZmln" . "VmFsdWUg" . "Jw=="), "_835783a340b626fa250ace4c" . "8d8249f7" => base64_decode("VW5hYmxlIH" . "RvIGNhc3Qg" . "Jw=="), "_44b97fb00c5dc6204a2e8b4642" . "9ce109" => base64_decode("aXNfc3RyaW5nYWJsZ" . "Q=="), "_3758af61703e" . "dea17ee38fab1" . "5f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IH" . "dpdGhvdXQgYW4gaW5zdGFu" . "Y2Ugb2YgV3JpdGFibGVDb2" . "5maWc="), "_6596b8f6a4969f9a3" . "f6a1b22b90e9331" => base64_decode("c3ByaW50Z" . "g=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_5a13027a56ff426a1880" . "6baf1e53ce74"] . $this->key . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3758af61703edea" . "17ee38fab15f99b5" . "6"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_44b97fb00c5dc6204a2e8b46" . "429ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_835783a340b6" . "26fa250ace4c8" . "d8249f7"] . $this->key . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_490fedd" . "0c33685b" . "d3a92a23" . "dfbdbe38" . "c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_6596b8f6a4969f9a3f6a1b22b90e93" . "31"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}